import request from "./index";

export const getUpgradeList = (params) => {
    return request({
        url: "/data/api-u/upgrade/list",
        method: "GET",
        params: params
    });
};

export const delUpgrade = (params) => {
    return request({
        url: "/data/api-u/upgrade/delete",
        method: "GET",
        params: params
    });
};

export const addUpgrade = (query) => {
    return request({
        url: "/data/api-u/upgrade/create",
        method: "POST",
        data: query
    });
};

export const publish = (params) => {
    return request({
        url: "/data/api-u/upgrade/publish",
        method: "GET",
        params: params
    });
};

export const generatePkg = (params) => {
    return request({
        url: "/data/api-u/upgrade/generatePkg",
        method: "GET",
        params: params
    });
};

export const generatePatch = (params) => {
    return request({
        url: "/data/api-u/upgrade/generatePatch",
        method: "GET",
        params: params
    });
};

